using Prism.Commands;
using Prism.Mvvm;
using SASDesktop.Models;
using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace SASDesktop.ViewModels.Managment
{
    internal class CitizenPassListOut : BindableBase
    {
        public DelegateCommand AddCmd { get; set; }
        public DelegateCommand EditCmd { get; set; }
        public DelegateCommand DeleteCmd { get; set; }
        public DelegateCommand BackCmd { get; set; }

        public ObservableCollection<Models.License> lvOutPutPass { get; set; }


        public CitizenPassListOut()
        {
            var db = new Models.SASEntities();
            lvOutPutPass = new ObservableCollection<Models.License>(db.Licenses.ToList());
            AddCmd = new DelegateCommand(AddCommand);    
            EditCmd = new DelegateCommand(EditCommand);
            DeleteCmd = new DelegateCommand(DeleteCommand);
            BackCmd = new DelegateCommand(BackCommand);
        }

        public void AddCommand()
        {
            Navigation.ToLicenseCreateExecuted();
        }
        public void EditCommand()
        {
            Popups.NotImplementedSorry();
        }
        public void DeleteCommand()
        {
            Popups.NotImplementedSorry();
        }
        public void BackCommand()
        {
            Navigation.GoBack();
        }
    }
}
